require 'json'

module Charred
  module Custom
    def load_custom(data)
      Dir.glob("data/custom/**/*") { |file|
        if File.file?(file)
          case File.extname(file)
          when ".skills"
            verbose_merge data[:skills], json_get(file)
          when ".traits"
            verbose_merge data[:traits], json_get(file)
          when ".stock"
            stock = Stock.new(json_get(file))
            if(data[:stocks][stock.key])
              verbose_merge data[:stocks][stock.key], stock
            else
              data[:stocks][stock.key] = stock
            end
          when ".lifepaths"
            contents = json_get(file)
            verbose_merge data[:lifepaths][contents.stock], contents.settings
          when ".resources"
            contents = json_get(file)
            verbose_merge data[:resources][contents.stock], contents.settings
          end
        end
      }
    end
  end
end
